Package org.eclipse.emf.cdo.lm.reviews

# Class ModelReference.Builder

java.lang.Object
java.util.AbstractCollection<E>
java.util.AbstractList<E>
java.util.ArrayList<String>
org.eclipse.emf.cdo.lm.reviews.ModelReference.Builder

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Iterable<String>`, `Collection<String>`, `List<String>`, `RandomAccess`

Enclosing class:
  ModelReference

public static final class ModelReference.Builder extends ArrayList<String>

Author:
  Eike Stepper
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`NO_MAX_LENGTH`

### Fields inherited from class java.util.AbstractList

`modCount`

## Constructor Summary

Constructors
Constructor
Description
`Builder(String type)`

## Method Summary

Modifier and Type
Method
Description
`ModelReference`
`build()`
`ModelReference.Builder`
`property(Object property)`
`ModelReference.Builder`
`property(Object property, int maxLength)`
`ModelReference.Builder`
`property(CDOID objectID)`
`ModelReference.Builder`
`property(EObject object)`
`String`
`type()`

### Methods inherited from class java.util.ArrayList

`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, equals, forEach, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeIf, removeRange, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, trimToSize`

### Methods inherited from class java.util.AbstractCollection

`containsAll, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Collection

`parallelStream, stream, toArray`

### Methods inherited from interface java.util.List

`containsAll`

## Field Details

### NO_MAX_LENGTH

public static final int NO_MAX_LENGTH

See Also:
  - Constant Field Values

## Constructor Details

### Builder

public Builder(String type)

## Method Details

### type

public String type()

### property

public ModelReference.Builder property(Object property, int maxLength)

### property

public ModelReference.Builder property(Object property)

### property

public ModelReference.Builder property(CDOID objectID)

### property

public ModelReference.Builder property(EObject object)

### build

public ModelReference build()